LLVM-READOBJ(1)

NAME
llvm-readobj - LLVM Object Reader

SYNOPSIS

llvm-readobj [options] [input…]

DESCRIPTION

The llvm-readobj tool displays low-level format-specific information about one or more object files. The tool and its output is primarily designed for use in FileCheck-based tests.

OPTIONS

If input is “-” or omitted, llvm-readobj reads from standard input. Otherwise, it will read from the specified filenames.

    -help
        Print a summary of command line options.

    -version
        Display the version of this program

    -file-headers, -h
        Display file headers.

    -sections, -s
        Display all sections.

    -section-data, -sd
        When used with -sections, display section data for each section shown.

    -section-relocations, -sr
        When used with -sections, display relocations for each section shown.

    -section-symbols, -st
        When used with -sections, display symbols for each section shown.

    -relocations, -r
        Display the relocation entries in the file.

    -symbols, -t
        Display the symbol table.

    -dyn-symbols
        Display the dynamic symbol table (only for ELF object files).

    -unwind, -u
        Display unwind information.

    -expand-relocs
        When used with -relocations, display each relocation in an expanded multi-line format.

    -dynamic-table
        Display the ELF .dynamic section table (only for ELF object files).

    -needed-libs
        Display the needed libraries (only for ELF object files).

    -program-headers
        Display the ELF program headers (only for ELF object files).

    -elf-section-groups, -g
        Display section groups (only for ELF object files).

EXIT STATUS

llvm-readobj returns 0.

AUTHOR
Maintained by The LLVM Team (http://llvm.org/).

COPYRIGHT
2003-2018, LLVM Project